diff -urN mcd-0.3d/doc/CHANGES mcd-0.3e/doc/CHANGES
--- mcd-0.3d/doc/CHANGES	Mon Aug  6 13:38:58 2001
+++ mcd-0.3e/doc/CHANGES	Mon Aug 27 09:49:12 2001
@@ -1,3 +1,7 @@
+0.3e
+  CDDB_TITLEMAX is now used while checking the terminal size
+  cddb.c: corrected the socket() line IPPROTO_TCP -> 0
+
 0.3d
   nothing special: the lsm entry was corrected
 
diff -urN mcd-0.3d/draw.c mcd-0.3e/draw.c
--- mcd-0.3d/draw.c	Sat Jul 28 01:41:55 2001
+++ mcd-0.3e/draw.c	Mon Aug 27 09:40:02 2001
@@ -146,8 +146,8 @@
   signal(SIGWINCH,tty_resize);
   show1(C_NORMAL T_CLEAR);
   tty_getsize(&maxx,&maxy);
-  if (maxx<78 || maxy<13) {
-   show2(T_NORMAL T_CLEAR "Sorry, you need at least a termsize of 78x13.\n");
+  if (maxx<CDDB_TITLEMAX+16 || maxy<13) {
+   _printf(T_NORMAL T_CLEAR "Sorry, you need at least a termsize of %dx13.\n", CDDB_TITLEMAX+16);
    tty_mode(TERM_QUIT);
   }
   cddb=cd_readtracks(&cd[0]);
diff -urN mcd-0.3d/mcd.1 mcd-0.3e/mcd.1
--- mcd-0.3d/mcd.1	Sat Jul 28 22:04:32 2001
+++ mcd-0.3e/mcd.1	Mon Aug 27 09:49:57 2001
@@ -1,5 +1,5 @@
 .\" Tino Reichardt <der@mcmilk.de>
-.TH MCD 1 "2001-07-28" "mcd-0.3c" "User commands"
+.TH MCD 1 "2001-08-27" "mcd-0.3e" "User commands"
 .SH "NAME"
 mcd \- a small cdplayer for linux
 .SH "SYNOPSIS"
diff -urN mcd-0.3d/mcd.h mcd-0.3e/mcd.h
--- mcd-0.3d/mcd.h	Mon Aug  6 13:39:06 2001
+++ mcd-0.3e/mcd.h	Mon Aug 27 10:04:18 2001
@@ -30,7 +30,7 @@
 
 #include "params.h"
 
-#define MCD_VERSION "0.3d"
+#define MCD_VERSION "0.3e"
 
 /* METHODS */
 #define M_PLAY_CD    0 /* play whole cd and stop */
diff -urN mcd-0.3d/mcd.lsm mcd-0.3e/mcd.lsm
--- mcd-0.3d/mcd.lsm	Mon Aug  6 14:01:06 2001
+++ mcd-0.3e/mcd.lsm	Mon Aug  6 13:52:10 2001
@@ -10,7 +10,7 @@
 Maintained-by:  Tino Reichardt <der@mcmilk.de>
 Primary-site:   sunsite.unc.edu /pub/Linux/apps/sound/cdrom
 		21kB  mcd-0.3d.tar.gz
-		10kB  mcd-0.3d.bin.ELF.static.tar.gz
+		16kB  mcd-0.3d.bin.gz (static binary!)
 Alternate-site: http://www.mcmilk.de/projects/mcd/
 Platforms:      Linux >=2.2
 Copying-policy: Gnu Library General Public License (GLPL) 2.0
diff -urN mcd-0.3d/params.h mcd-0.3e/params.h
--- mcd-0.3d/params.h	Sat Jul 28 01:29:57 2001
+++ mcd-0.3e/params.h	Mon Aug 27 09:52:21 2001
@@ -8,7 +8,11 @@
 
 #define CDROM_DEFAULT   "/dev/cdrom"
 #define CDDB_CREATMODE  0644 /* used, for new entries */
-#define CDDB_TITLEMAX     62 /* max size a title my have on terminals */
+
+/* max size a titlename may have
+ * 62 is correct for terminals <= 80 !
+ */
+#define CDDB_TITLEMAX     62
 
 #define MCD_INTRO_TIME  10 /* seconds for the intro */
 #define MCD_CDAUDIO_MAX 99 /* maxtracks of the cd (RedBook) */
